Skip to content

Get marketing consent by ID

Request

Get a single marketing consent by its unique identifier.

Security
OAuth2(Required scopes: marketing.read)
Path
consentIdstringrequired

The unique identifier of the marketing consent.

curl -i -X GET \
  'https://api.understory.io/v1/marketing-consents/{consentId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
idstringrequired

The unique identifier for this marketing consent record.

company_idstringrequired

The company's unique ID.

full_namestringrequired

The full name of the person who has given marketing consent.

emailstringrequired

The email of the person who has given marketing consent.

sourcestringrequired

The source from which the consent was given.

referencesArray of any(ConsentReference)

Typed references to related entities. Consumers can use these to fetch additional details (e.g., customer info from the booking). Absent for legacy consents.

Response
{ "id": "string", "company_id": "string", "full_name": "string", "email": "string", "source": "string", "references": [ { … } ] }